Open Lighting Architecture: ola::acn::RDMInflator Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | Friends | List of all members
ola::acn::RDMInflator Class Reference
Inheritance diagram for ola::acn::RDMInflator:

## Public Types
typedef ola::Callback3< void, const TransportHeader *, const E133Header *, const std::string & > | RDMMessageHandler

## Public Member Functions
| RDMInflator ()
uint32_t | Id () const
void | SetRDMHandler (RDMMessageHandler *handler)
Public Member Functions inherited from ola::acn::BaseInflator
| BaseInflator (PDU::vector_size v_size=PDU::FOUR_BYTES)
bool | AddInflator (InflatorInterface *inflator)
class InflatorInterface * | GetInflator (uint32_t vector) const
virtual unsigned int | InflatePDUBlock (HeaderSet *headers, const uint8_t *data, unsigned int len)

## Static Public Attributes
static const unsigned int | VECTOR_RDMNET_DATA = 0xcc
Static Public Attributes inherited from ola::acn::BaseInflator
static const uint8_t | LFLAG_MASK = 0x80
static const uint8_t | LENGTH_MASK = 0x0F

## Protected Member Functions
bool | DecodeHeader (HeaderSet *headers, const uint8_t *data, unsigned int len, unsigned int *bytes_used)
void | ResetHeaderField ()
virtual bool | HandlePDUData (uint32_t vector, const HeaderSet &headers, const uint8_t *data, unsigned int pdu_len)
Protected Member Functions inherited from ola::acn::BaseInflator
virtual void | ResetPDUFields ()
bool | DecodeLength (const uint8_t *data, unsigned int data_length, unsigned int *pdu_length, unsigned int *bytes_used) const
bool | DecodeVector (uint8_t flags, const uint8_t *data, unsigned int length, uint32_t *vector, unsigned int *bytes_used)
bool | InflatePDU (HeaderSet *headers, uint8_t flags, const uint8_t *data, unsigned int pdu_len)
virtual bool | PostHeader (uint32_t vector, const HeaderSet &headers)

## Friends
class | RDMInflatorTest

## Additional Inherited Members
Protected Attributes inherited from ola::acn::BaseInflator
uint32_t | m_last_vector
bool | m_vector_set
PDU::vector_size | m_vector_size
std::map< uint32_t, InflatorInterface * > | m_proto_map

## Constructor & Destructor Documentation

## ◆ RDMInflator()

ola::acn::RDMInflator::RDMInflator | ( |  | ) |

Create a new RDM inflator

## Member Function Documentation

## ◆ DecodeHeader()

bool ola::acn::RDMInflator::DecodeHeader | ( | HeaderSet * | headers,
|  | const uint8_t * | data,
|  | unsigned int | len,
|  | unsigned int * | bytes_used )
| protectedvirtual

Implements ola::acn::BaseInflator.

## ◆ HandlePDUData()

bool ola::acn::RDMInflator::HandlePDUData | ( | uint32_t | vector,
|  | const HeaderSet & | headers,
|  | const uint8_t * | data,
|  | unsigned int | pdu_len )
| protectedvirtual

Reimplemented from ola::acn::BaseInflator.

## ◆ Id()

uint32_t ola::acn::RDMInflator::Id | ( |  | ) | const
| inlinevirtual

Implements ola::acn::InflatorInterface.

## ◆ ResetHeaderField()

void ola::acn::RDMInflator::ResetHeaderField | ( |  | ) |
| inlineprotectedvirtual

Implements ola::acn::BaseInflator.

## ◆ SetRDMHandler()

void ola::acn::RDMInflator::SetRDMHandler | ( | RDMMessageHandler * | handler | ) |

Set a RDMHandler to run when receiving a RDM message.

Parameters

  handler | the callback to invoke when there is rdm data for this universe.

The documentation for this class was generated from the following files:

- libs/acn/RDMInflator.h
- libs/acn/RDMInflator.cpp